package com.sf.day06;

import org.omg.CORBA.TRANSACTION_MODE;

/**
 * 随机输出A-Z
 */
public class Test03 {

    /**
     * 静态方法   类名.方法名
     * @return
     */
    public char getChar(){

        /**
         * A-Z   char
         * Math.random();   [0,1]    Double
         * a,b    Math.random()*(b-a+1)+a
         */
        return (char)(Math.random()*26+'A');
    }

    /**
     * 生成1-6的随机数
     * @param
     */

    public int getNumber(){
        return (int) (Math.random()*6+1);
    }


    public static void main(String[] args) {
        Test03 test03 = new Test03();
//        for (int i= 0;i<10;i++){
//            char aChar = test03.getChar();
//            System.out.println(aChar);
//        }

        Boolean flag = true;
        while (flag){
            char aChar = test03.getChar();
            if(aChar == 'Z'){
                flag = false;
            }
        }
    }



}
